module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 9);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () {
        injectStyles.call(
          this,
          (options.functional ? this.parent : this).$root.$options.shadowRoot
        )
      }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functional component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 9:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/_vue-loader@15.9.6@vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/_vue-loader@15.9.6@vue-loader/lib??vue-loader-options!./src/components/pc/advanced/asp-research-problemlist/src/main.vue?vue&type=template&id=d6ddcbf0&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", { staticClass: "asp-smart-form__research padding-row" }, [
    _c(
      "div",
      { staticClass: "asp-research-problemlist", class: "is_" + _vm.position },
      [
        _c(
          "el-collapse",
          {
            model: {
              value: _vm.activeNames,
              callback: function($$v) {
                _vm.activeNames = $$v
              },
              expression: "activeNames"
            }
          },
          [
            _c(
              "el-collapse-item",
              { attrs: { name: "1" } },
              [
                _c(
                  "template",
                  { slot: "title" },
                  [
                    _c(
                      "span",
                      {
                        staticClass: "title",
                        style: {
                          color: "rgb(48,49,51,1)",
                          "font-size": "15px"
                        }
                      },
                      [
                        _c("i", {
                          staticClass: "el-icon-tickets",
                          staticStyle: { "margin-right": "5px" }
                        }),
                        _vm._v(_vm._s(_vm.item.collapseTitle) + "\n          ")
                      ]
                    ),
                    _c(
                      "el-button",
                      {
                        staticClass: "solid-with-icon-btn",
                        style: { float: "center", margin: "0 4px" },
                        attrs: { size: "10px", type: "primary" },
                        on: {
                          click: function($event) {
                            $event.stopPropagation()
                            return _vm.add($event)
                          }
                        }
                      },
                      [_vm._v(_vm._s(_vm.item.addButtonLabel))]
                    )
                  ],
                  1
                ),
                _vm._l(_vm.model[_vm.item.problemListColumnName], function(
                  problemItem,
                  index
                ) {
                  return _c("AspResearchEditProblem", {
                    key: index,
                    attrs: {
                      index: index,
                      item: _vm.item,
                      problemItem: problemItem,
                      "option-list": _vm.optionList,
                      dataList: _vm.model[_vm.item.problemListColumnName]
                    },
                    on: { remove: _vm.remove }
                  })
                })
              ],
              2
            )
          ],
          1
        )
      ],
      1
    )
  ])
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-problemlist/src/main.vue?vue&type=template&id=d6ddcbf0&

// CONCATENATED MODULE: ./node_modules/_vue-loader@15.9.6@vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/_vue-loader@15.9.6@vue-loader/lib??vue-loader-options!./src/components/pc/advanced/asp-research-editproblem/src/main.vue?vue&type=template&id=6dbd2770&
var mainvue_type_template_id_6dbd2770_render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { staticClass: "asp-research-editproblem", class: "is_" + _vm.position },
    [
      _c(
        "el-collapse",
        {
          staticStyle: { "margin-bottom": "10px" },
          model: {
            value: _vm.innerActiveNames,
            callback: function($$v) {
              _vm.innerActiveNames = $$v
            },
            expression: "innerActiveNames"
          }
        },
        [
          _c(
            "el-collapse-item",
            { attrs: { name: _vm.index } },
            [
              _c(
                "template",
                { slot: "title" },
                [
                  _c(
                    "span",
                    {
                      staticClass: "title",
                      style: {
                        color: "rgb(48,49,51,1)",
                        "font-size": "15px"
                      }
                    },
                    [
                      _c("i", {
                        staticClass: "el-icon-tickets",
                        staticStyle: { "margin-right": "5px" }
                      }),
                      _vm._v(
                        _vm._s(_vm.item.collapseTitle) +
                          " " +
                          _vm._s(_vm.index + 1) +
                          "\n        "
                      )
                    ]
                  ),
                  _c(
                    "el-button",
                    {
                      staticClass: "solid-with-icon-btn",
                      style: { float: "center", margin: "0 4px" },
                      attrs: { size: "10px", type: "primary" },
                      on: {
                        click: function($event) {
                          $event.stopPropagation()
                          return _vm.deleteRow(_vm.index)
                        }
                      }
                    },
                    [_vm._v(_vm._s(_vm.item.delButtonLabel) + "\n        ")]
                  )
                ],
                1
              ),
              _c(
                "el-form",
                {
                  ref: "researchForm",
                  staticClass: "asp-smart-form__research",
                  attrs: {
                    model: _vm.problemItem,
                    size: "small",
                    "label-width": _vm.item.innerLabelWidth + "px",
                    "label-position": "right"
                  }
                },
                [
                  _c(
                    "div",
                    {
                      staticClass: "form-item-box form-item-box-basic",
                      staticStyle: { "word-break": "break-all", width: "100%" }
                    },
                    [
                      _c("div", {
                        staticClass: "label-style",
                        style: "width: " + _vm.item.innerLabelWidth + "px;"
                      }),
                      _c(
                        "el-form-item",
                        {
                          attrs: {
                            prop: _vm.item.problemDescColumnName,
                            rules: _vm.item.problemDescRules,
                            label: _vm.item.problemDescLabel + "："
                          }
                        },
                        [
                          _c("el-input", {
                            staticStyle: {
                              "margin-right": "10px",
                              width: "calc( 100% - 70px)"
                            },
                            attrs: {
                              type: "textarea",
                              rows: 1,
                              minlength: _vm.item.problemDescMinLength,
                              maxlength: _vm.item.problemDescMaxLength,
                              "show-word-limit": ""
                            },
                            model: {
                              value:
                                _vm.problemItem[_vm.item.problemDescColumnName],
                              callback: function($$v) {
                                _vm.$set(
                                  _vm.problemItem,
                                  _vm.item.problemDescColumnName,
                                  $$v
                                )
                              },
                              expression:
                                "problemItem[item.problemDescColumnName]"
                            }
                          }),
                          _vm.item.problemExtSwitch
                            ? _c(
                                "el-button",
                                {
                                  attrs: { type: "text" },
                                  on: { click: _vm.addExt }
                                },
                                [_vm._v(_vm._s(_vm.item.problemAddExtLabel))]
                              )
                            : _vm._e()
                        ],
                        1
                      )
                    ],
                    1
                  ),
                  _c(
                    "div",
                    {
                      directives: [
                        {
                          name: "show",
                          rawName: "v-show",
                          value: _vm.showProduct,
                          expression: "showProduct"
                        }
                      ],
                      staticClass: "form-item-box form-item-box-basic",
                      staticStyle: { "word-break": "break-all", width: "100%" }
                    },
                    [
                      _c("div", {
                        staticClass: "label-style",
                        style: "width: " + _vm.item.innerLabelWidth + "px;"
                      }),
                      _c(
                        "el-form-item",
                        {
                          attrs: {
                            label: _vm.item.problemExtLabel + "：",
                            rules: _vm.item.problemExtRules
                          }
                        },
                        [
                          _c("el-input", {
                            staticStyle: {
                              "margin-right": "10px",
                              width: "calc( 100% - 70px)"
                            },
                            attrs: {
                              minlength: _vm.item.problemExtMinLength,
                              maxlength: _vm.item.problemExtMaxLength,
                              "show-word-limit": ""
                            },
                            model: {
                              value:
                                _vm.problemItem[_vm.item.problemExtColumnName],
                              callback: function($$v) {
                                _vm.$set(
                                  _vm.problemItem,
                                  _vm.item.problemExtColumnName,
                                  $$v
                                )
                              },
                              expression:
                                "problemItem[item.problemExtColumnName]"
                            }
                          }),
                          _c(
                            "el-button",
                            {
                              attrs: { type: "text" },
                              on: { click: _vm.deleteExt }
                            },
                            [_vm._v(_vm._s(_vm.item.problemDelExtLabel))]
                          )
                        ],
                        1
                      )
                    ],
                    1
                  ),
                  _c(
                    "div",
                    {
                      staticClass: "form-item-box form-item-box-basic",
                      staticStyle: { "word-break": "break-all", width: "100%" }
                    },
                    [
                      _vm.item.presentTypeSwitch
                        ? _c(
                            "el-row",
                            [
                              _c(
                                "el-col",
                                { attrs: { span: 12 } },
                                [
                                  _c("div", {
                                    staticClass: "label-style",
                                    style:
                                      "width: " +
                                      _vm.item.innerLabelWidth +
                                      "px;"
                                  }),
                                  _c(
                                    "el-form-item",
                                    {
                                      attrs: {
                                        label: _vm.item.replyTypeLabel + "：",
                                        prop: _vm.item.replyTypeColumnName,
                                        rules: _vm.item.replyTypeRules
                                      }
                                    },
                                    [
                                      _c(
                                        "el-radio-group",
                                        {
                                          on: {
                                            change: function(value) {
                                              return _vm.changeReplyType(value)
                                            }
                                          },
                                          model: {
                                            value:
                                              _vm.problemItem[
                                                _vm.item.replyTypeColumnName
                                              ],
                                            callback: function($$v) {
                                              _vm.$set(
                                                _vm.problemItem,
                                                _vm.item.replyTypeColumnName,
                                                $$v
                                              )
                                            },
                                            expression:
                                              "problemItem[item.replyTypeColumnName]"
                                          }
                                        },
                                        _vm._l(_vm.optionList, function(
                                          replyWayItem,
                                          replyWayIndex
                                        ) {
                                          return _c(
                                            "el-radio",
                                            {
                                              key: replyWayIndex,
                                              attrs: {
                                                label:
                                                  replyWayItem[
                                                    _vm.item.typeOptionValue
                                                  ],
                                                value:
                                                  replyWayItem[
                                                    _vm.item.typeOptionValue
                                                  ]
                                              }
                                            },
                                            [
                                              _vm._v(
                                                _vm._s(
                                                  replyWayItem[
                                                    _vm.item.typeOptionLabel
                                                  ]
                                                ) + "\n                      "
                                              )
                                            ]
                                          )
                                        }),
                                        1
                                      )
                                    ],
                                    1
                                  )
                                ],
                                1
                              ),
                              _c(
                                "el-col",
                                { attrs: { span: 12 } },
                                [
                                  _c("div", {
                                    staticClass: "label-style",
                                    style:
                                      "width: " +
                                      _vm.item.innerLabelWidth +
                                      "px;"
                                  }),
                                  _c(
                                    "el-form-item",
                                    {
                                      attrs: {
                                        label: _vm.item.presentTypeLabel + "：",
                                        prop: _vm.item.presentTypeColumnName,
                                        rules: _vm.item.presentTypeRules
                                      }
                                    },
                                    [
                                      _c(
                                        "el-radio-group",
                                        {
                                          model: {
                                            value:
                                              _vm.problemItem[
                                                _vm.item.presentTypeColumnName
                                              ],
                                            callback: function($$v) {
                                              _vm.$set(
                                                _vm.problemItem,
                                                _vm.item.presentTypeColumnName,
                                                $$v
                                              )
                                            },
                                            expression:
                                              "problemItem[item.presentTypeColumnName]"
                                          }
                                        },
                                        _vm._l(_vm.presentOptionList, function(
                                          replyWayItem,
                                          replyWayIndex
                                        ) {
                                          return _c(
                                            "el-radio",
                                            {
                                              key: replyWayIndex,
                                              attrs: {
                                                label: replyWayItem.value,
                                                value: replyWayItem.value
                                              }
                                            },
                                            [
                                              _vm._v(
                                                _vm._s(replyWayItem.label) +
                                                  "\n                      "
                                              )
                                            ]
                                          )
                                        }),
                                        1
                                      )
                                    ],
                                    1
                                  )
                                ],
                                1
                              )
                            ],
                            1
                          )
                        : _c(
                            "el-row",
                            [
                              _c(
                                "el-col",
                                [
                                  _c("div", {
                                    staticClass: "label-style",
                                    style:
                                      "width: " +
                                      _vm.item.innerLabelWidth +
                                      "px;"
                                  }),
                                  _c(
                                    "el-form-item",
                                    {
                                      attrs: {
                                        label: _vm.item.replyTypeLabel + "：",
                                        prop: _vm.item.replyTypeColumnName,
                                        rules: _vm.item.replyTypeRules
                                      }
                                    },
                                    [
                                      _c(
                                        "el-radio-group",
                                        {
                                          on: {
                                            change: function(value) {
                                              return _vm.changeReplyType(value)
                                            }
                                          },
                                          model: {
                                            value:
                                              _vm.problemItem[
                                                _vm.item.replyTypeColumnName
                                              ],
                                            callback: function($$v) {
                                              _vm.$set(
                                                _vm.problemItem,
                                                _vm.item.replyTypeColumnName,
                                                $$v
                                              )
                                            },
                                            expression:
                                              "problemItem[item.replyTypeColumnName]"
                                          }
                                        },
                                        _vm._l(_vm.optionList, function(
                                          replyWayItem,
                                          replyWayIndex
                                        ) {
                                          return _c(
                                            "el-radio",
                                            {
                                              key: replyWayIndex,
                                              attrs: {
                                                label:
                                                  replyWayItem[
                                                    _vm.item.typeOptionValue
                                                  ],
                                                value:
                                                  replyWayItem[
                                                    _vm.item.typeOptionValue
                                                  ]
                                              }
                                            },
                                            [
                                              _vm._v(
                                                _vm._s(
                                                  replyWayItem[
                                                    _vm.item.typeOptionLabel
                                                  ]
                                                ) + "\n                    "
                                              )
                                            ]
                                          )
                                        }),
                                        1
                                      )
                                    ],
                                    1
                                  )
                                ],
                                1
                              )
                            ],
                            1
                          )
                    ],
                    1
                  ),
                  _c(
                    "div",
                    {
                      directives: [
                        {
                          name: "show",
                          rawName: "v-show",
                          value:
                            _vm.problemItem[_vm.item.replyTypeColumnName] ===
                            _vm.item.multiSelectCode,
                          expression:
                            "problemItem[item.replyTypeColumnName] === item.multiSelectCode"
                        }
                      ],
                      staticClass: "form-item-box form-item-box-basic",
                      staticStyle: { "word-break": "break-all", width: "100%" }
                    },
                    [
                      _c("div", {
                        staticClass: "label-style",
                        style: "width: " + _vm.item.innerLabelWidth + "px;"
                      }),
                      _c(
                        "el-form-item",
                        {
                          attrs: {
                            label: _vm.item.multiSelectLabel + "：",
                            prop: _vm.item.multiSelectColumnName,
                            rules: _vm.item.multiSelectRules
                          }
                        },
                        [
                          _c(
                            "el-select",
                            {
                              staticStyle: { width: "100%" },
                              attrs: {
                                multiple: "",
                                filterable: "",
                                "allow-create": "",
                                "default-first-option": ""
                              },
                              model: {
                                value:
                                  _vm.problemItem[
                                    _vm.item.multiSelectColumnName
                                  ],
                                callback: function($$v) {
                                  _vm.$set(
                                    _vm.problemItem,
                                    _vm.item.multiSelectColumnName,
                                    $$v
                                  )
                                },
                                expression:
                                  "problemItem[item.multiSelectColumnName]"
                              }
                            },
                            _vm._l(
                              _vm.problemItem[_vm.item.multiSelectColumnName],
                              function(option, oIndex) {
                                return _c("el-option", {
                                  key: oIndex,
                                  attrs: { label: option, value: option }
                                })
                              }
                            ),
                            1
                          )
                        ],
                        1
                      )
                    ],
                    1
                  ),
                  _c(
                    "div",
                    {
                      directives: [
                        {
                          name: "show",
                          rawName: "v-show",
                          value:
                            _vm.problemItem[_vm.item.replyTypeColumnName] ===
                            _vm.item.singleSelectCode,
                          expression:
                            "problemItem[item.replyTypeColumnName] === item.singleSelectCode"
                        }
                      ],
                      staticClass: "form-item-box form-item-box-basic",
                      staticStyle: { "word-break": "break-all", width: "100%" }
                    },
                    [
                      _c("div", {
                        staticClass: "label-style",
                        style: "width: " + _vm.item.innerLabelWidth + "px;"
                      }),
                      _c(
                        "el-form-item",
                        {
                          attrs: {
                            label: _vm.item.singleSelectLabel + "：",
                            prop: _vm.item.singleSelectColumnName,
                            rules: _vm.item.singleSelectRules
                          }
                        },
                        [
                          _c(
                            "el-select",
                            {
                              staticStyle: { width: "100%" },
                              attrs: {
                                multiple: "",
                                filterable: "",
                                "allow-create": "",
                                "default-first-option": ""
                              },
                              model: {
                                value:
                                  _vm.problemItem[
                                    _vm.item.singleSelectColumnName
                                  ],
                                callback: function($$v) {
                                  _vm.$set(
                                    _vm.problemItem,
                                    _vm.item.singleSelectColumnName,
                                    $$v
                                  )
                                },
                                expression:
                                  "problemItem[item.singleSelectColumnName]"
                              }
                            },
                            _vm._l(
                              _vm.problemItem[_vm.item.singleSelectColumnName],
                              function(option, oIndex) {
                                return _c("el-option", {
                                  key: oIndex,
                                  attrs: { label: option, value: option }
                                })
                              }
                            ),
                            1
                          )
                        ],
                        1
                      )
                    ],
                    1
                  )
                ]
              )
            ],
            2
          )
        ],
        1
      )
    ],
    1
  )
}
var mainvue_type_template_id_6dbd2770_staticRenderFns = []
mainvue_type_template_id_6dbd2770_render._withStripped = true


// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-editproblem/src/main.vue?vue&type=template&id=6dbd2770&

// CONCATENATED MODULE: ./node_modules/_babel-loader@7.1.5@babel-loader/lib!./node_modules/_vue-loader@15.9.6@vue-loader/lib??vue-loader-options!./src/components/pc/advanced/asp-research-editproblem/src/main.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var mainvue_type_script_lang_js_ = ({
  name: 'asp-research-editproblem',
  computed: {},
  props: {
    model: {
      type: Object,
      default: () => {}
    },
    position: {
      type: String,
      default: () => 'left'
    },
    item: {
      type: Object,
      default: () => {}
    },
    dataList: {
      type: Array,
      default: () => []
    },
    problemItem: {
      type: Object,
      default: () => {}
    },
    index: {
      type: Number,
      default: () => 0
    },
    optionList: {
      type: Array,
      default: () => []
    }
  },
  data() {
    return {
      showProduct: false,
      innerActiveNames: [],
      presentOptionList: [],
      multiSelectOptionList: [{
        value: 'checkbox',
        label: '多选框'
      }, {
        value: 'checkboxbtn',
        label: '多选框(按钮)'
      }, {
        value: 'select',
        label: '下拉选择器'
      }],
      singleSelectOptionList: [{
        value: 'radio',
        label: '单选框'
      }, {
        value: 'radiobtn',
        label: '单选框(按钮)'
      }, {
        value: 'select',
        label: '下拉选择器'
      }],
      openSelectOptionList: [{
        value: 'singleline',
        label: '单行不换行'
      }, {
        value: 'singlenewline',
        label: '单行换行'
      }, {
        value: 'multiline',
        label: '多行'
      }]
    };
  },
  watch: {
    'dataList'() {
      this.getActiveNames();
    }
  },
  mounted() {
    this.getActiveNames();
    this.setPresentOptionList(this.problemItem[this.item.replyTypeColumnName]);
    if (this.problemItem[this.item.problemExtColumnName] && this.problemItem[this.item.problemExtColumnName] !== '') {
      this.showProduct = true;
    } else {
      this.showProduct = false;
    }
  },
  created() {
    if (this.item.multiSelectLengthSwitch) {
      this.item.multiSelectRules = [{ required: true, validator: this.validMultiReplyTypeItems, trigger: 'change' }];
    }
    if (this.item.singleSelectLengthSwitch) {
      this.item.singleSelectRules = [{ required: true, validator: this.validSingleReplyTypeItems, trigger: 'change' }];
    }
  },
  methods: {
    getActiveNames() {
      this.innerActiveNames = this.dataList.map((item, index) => {
        return index;
      });
    },
    validMultiReplyTypeItems(rule, value, callback) {
      if (rule.required && value.length === 0) {
        callback(new Error(this.item.multiSelectLabel + '不能为空'));
      } else if (value.length > parseInt(this.item.multiSelectMaxLength)) {
        callback(new Error('不可超过' + parseInt(this.item.multiSelectMaxLength) + '个枚举值'));
      } else if (value.length < parseInt(this.item.multiSelectMinLength)) {
        callback(new Error('不可少于' + parseInt(this.item.multiSelectMinLength) + '个枚举值'));
      }
      callback();
    },
    validSingleReplyTypeItems(rule, value, callback) {
      if (rule.required && value.length === 0) {
        callback(new Error(this.item.singleSelectLabel + '不能为空'));
      } else if (value.length > parseInt(this.item.singleSelectMaxLength)) {
        callback(new Error('不可超过' + parseInt(this.item.singleSelectMaxLength) + '个枚举值'));
      } else if (value.length < parseInt(this.item.singleSelectMinLength)) {
        callback(new Error('不可少于' + parseInt(this.item.singleSelectMinLength) + '个枚举值'));
      }
      callback();
    },
    deleteRow(index) {
      this.$emit('remove', index);
    },
    addExt() {
      this.showProduct = true;
    },
    deleteExt() {
      this.problemItem[this.item.problemExtColumnName] = '';
      this.showProduct = false;
    },
    changeReplyType(value) {
      this.setPresentOptionList(value);
      // 默认呈现方式为第一项
      this.problemItem[this.item.presentTypeColumnName] = this.presentOptionList[0].value;
      if (value !== this.item.multiSelectCode) {
        this.problemItem[this.item.multiSelectColumnName] = '';
      }
      if (value !== this.item.singleSelectCode) {
        this.problemItem[this.item.singleSelectColumnName] = '';
      }
      this.$nextTick(() => {
        this.$refs.researchForm.clearValidate(this.item.singleSelectColumnName);
        this.$refs.researchForm.clearValidate(this.item.multiSelectColumnName);
      });
    },
    setPresentOptionList(value) {
      switch (value) {
        case this.item.multiSelectCode:
          this.presentOptionList = this.multiSelectOptionList;
          break;
        case this.item.singleSelectCode:
          this.presentOptionList = this.singleSelectOptionList;
          break;
        case this.item.booleanSelectCode:
          this.presentOptionList = this.singleSelectOptionList;
          break;
        case this.item.openSelectCode:
          this.presentOptionList = this.openSelectOptionList;
          break;
      }
    }
  }
});
// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-editproblem/src/main.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_mainvue_type_script_lang_js_ = (mainvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/_vue-loader@15.9.6@vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-editproblem/src/main.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_mainvue_type_script_lang_js_,
  mainvue_type_template_id_6dbd2770_render,
  mainvue_type_template_id_6dbd2770_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "src/components/pc/advanced/asp-research-editproblem/src/main.vue"
/* harmony default export */ var main = (component.exports);
// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-editproblem/index.js


/* istanbul ignore next */
main.install = function (Vue) {
  Vue.component(main.name, main);
};

/* harmony default export */ var asp_research_editproblem = (main);
// CONCATENATED MODULE: ./src/utils/utils/common.js
var _this = undefined;

/*
 * @Description: 公共工具类
 * @Author: SmartUI深圳开发团队
 */

/**
 * 防抖函数
 * @param method 事件触发的操作
 * @param delay 多少毫秒内连续触发事件，不会执行
 * @returns {Function}
 */
const asp_Debounce = (func, wait, immediate) => {
  let timeout, args, context, timestamp, result;

  const later = () => {
    // 据上一次触发时间间隔
    const last = +new Date() - timestamp;

    // 上次被包装函数被调用时间间隔 last 小于设定时间间隔 wait
    if (last < wait && last > 0) {
      timeout = setTimeout(later, wait - last);
    } else {
      timeout = null;
      // 如果设定为immediate===true，因为开始边界已经调用过了此处无需调用
      if (!immediate) {
        result = func.apply(context, args);
        if (!timeout) context = args = null;
      }
    }
  };

  return (...args) => {
    context = _this;
    timestamp = +new Date();
    const callNow = immediate && !timeout;
    // 如果延时不存在，重新设定延时
    if (!timeout) timeout = setTimeout(later, wait);
    if (callNow) {
      result = func.apply(context, args);
      context = args = null;
    }

    return result;
  };
};

/**
 * 深拷贝
 */
function asp_DeepClone(source) {
  if (!source && typeof source !== 'object') {
    throw new Error('error arguments', 'deepClone');
  }
  const targetObj = source.constructor === Array ? [] : {};
  Object.keys(source).forEach(keys => {
    if (source[keys] && typeof source[keys] === 'object') {
      targetObj[keys] = asp_DeepClone(source[keys]);
    } else {
      targetObj[keys] = source[keys];
    }
  });
  return targetObj;
}

/**
 * 区间 随机数
 * @param {*} min  最小值
 * @param {*} max  最大值
 */
const asp_RandomNumber = (min, max) => {
  return Math.floor(Math.random() * (max - min + 1)) + min;
};

/**
 * 生成随机数字符串，指定字符串的长度，同时规定每一位的大小范围，并且指定每一个数的显示基数
 * @param {*} min  最小值
 * @param {*} max  最大值
 * @param {*} bitNumber  随机数包括几位
 * @param {*} radix  每一位的基数, 2-数字以二进制值显示; 8-数字以八进制值显示; 10-数字以十进制值显示; 16-数字以十六进制值显示
 */
const asp_randomNumString = (min, max, bitNumber, radix) => {
  var result = '';
  for (var i = 0; i < bitNumber; i++) {
    result += asp_RandomNumber(min, max).toString(radix);
  }
  // 默认字母小写，手动转大写
  return result.toUpperCase();
};

/**
 * 生成唯一标识符UUID
 */
const asp_generateUUID = () => {
  let d = new Date().getTime();
  if (window.performance && typeof window.performance.now === 'function') {
    d += performance.now(); // use high-precision timer if available
  }
  const uuid = 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function (c) {
    const r = (d + Math.random() * 16) % 16 | 0;
    d = Math.floor(d / 16);
    return (c === 'x' ? r : r & 0x3 | 0x8).toString(16);
  });
  return uuid;
};

/* harmony default export */ var common = ({
  asp_Debounce,
  asp_DeepClone,
  asp_RandomNumber,
  asp_generateUUID
});
// CONCATENATED MODULE: ./node_modules/_babel-loader@7.1.5@babel-loader/lib!./node_modules/_vue-loader@15.9.6@vue-loader/lib??vue-loader-options!./src/components/pc/advanced/asp-research-problemlist/src/main.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//



/* harmony default export */ var asp_research_problemlist_src_mainvue_type_script_lang_js_ = ({
  name: 'asp-research-problemlist',
  components: { AspResearchEditProblem: asp_research_editproblem },
  props: {
    optionList: {
      type: Array,
      default: () => []
    },
    item: {
      type: Object,
      default: () => {}
    },
    model: {
      type: Object,
      default: () => {}
    },
    position: {
      type: String,
      default: () => 'left'
    }
  },
  data() {
    return {
      activeNames: ['1']
    };
  },
  watch: {
    model: {
      handler(value, oldValue) {
        const data = value[this.item.problemListColumnName] || [];
        if (data.length === 0) {
          this.add();
        }
      },
      immediate: true,
      deep: true
    }
  },
  mounted() {},
  methods: {
    // 点击新增子组件
    add() {
      const addObj = { showProduct: false };
      addObj[this.item.problemId] = asp_generateUUID();
      addObj[this.item.problemDescColumnName] = '';
      addObj[this.item.problemExtColumnName] = '';
      addObj[this.item.replyTypeColumnName] = '';
      addObj[this.item.multiSelectColumnName] = [];
      if (this.item.multiSelectColumnName !== this.item.singleSelectColumnName) {
        addObj[this.item.singleSelectColumnName] = [];
      }
      if (this.model[this.item.problemListColumnName]) {
        this.model[this.item.problemListColumnName].push(addObj);
      } else {
        const arr = [];
        arr.push(addObj);
        this.model[this.item.problemListColumnName] = arr;
      }
    },
    // 删除子组件
    remove(n) {
      if (this.model[this.item.problemListColumnName].length === 1) {
        this.$message.warning('至少需添加一个调研问题！');
      } else {
        this.model[this.item.problemListColumnName].splice(n, 1);
      }
    }
  }
});
// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-problemlist/src/main.vue?vue&type=script&lang=js&
 /* harmony default export */ var advanced_asp_research_problemlist_src_mainvue_type_script_lang_js_ = (asp_research_problemlist_src_mainvue_type_script_lang_js_); 
// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-problemlist/src/main.vue





/* normalize component */

var main_component = Object(componentNormalizer["a" /* default */])(
  advanced_asp_research_problemlist_src_mainvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var main_api; }
main_component.options.__file = "src/components/pc/advanced/asp-research-problemlist/src/main.vue"
/* harmony default export */ var src_main = (main_component.exports);
// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-problemlist/index.js


/* istanbul ignore next */
src_main.install = function (Vue) {
  Vue.component(src_main.name, src_main);
};

/* harmony default export */ var asp_research_problemlist = __webpack_exports__["default"] = (src_main);

/***/ })

/******/ });