module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 11);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () {
        injectStyles.call(
          this,
          (options.functional ? this.parent : this).$root.$options.shadowRoot
        )
      }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functional component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 11:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/_vue-loader@15.9.6@vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/_vue-loader@15.9.6@vue-loader/lib??vue-loader-options!./src/components/pc/advanced/asp-research-replylist/src/main.vue?vue&type=template&id=41d8d0c6&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", { staticClass: "asp-smart-form__research padding-row" }, [
    _c(
      "div",
      { staticClass: "asp-research-replylist", class: "is_" + _vm.position },
      _vm._l(_vm.model[_vm.item.problemListColumnName], function(
        problemItem,
        index
      ) {
        return _c("aspResearchReply", {
          key: index,
          attrs: {
            model: _vm.model,
            item: _vm.item,
            index: index,
            problemItem: problemItem,
            problemReplyList: _vm.model[_vm.item.problemListColumnName],
            "option-list": _vm.optionList,
            yesOrNoList: _vm.yesOrNoList
          }
        })
      }),
      1
    )
  ])
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-replylist/src/main.vue?vue&type=template&id=41d8d0c6&

// CONCATENATED MODULE: ./node_modules/_vue-loader@15.9.6@vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/_vue-loader@15.9.6@vue-loader/lib??vue-loader-options!./src/components/pc/advanced/asp-research-reply/src/main.vue?vue&type=template&id=7957210a&
var mainvue_type_template_id_7957210a_render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { staticClass: "asp-research-reply", class: "is_" + _vm.position },
    [
      _c("el-card", { staticClass: "box-card", attrs: { shadow: "never" } }, [
        _c(
          "div",
          {
            staticClass: "clearfix title",
            attrs: { slot: "header" },
            slot: "header"
          },
          [
            _c("span", [
              _c(
                "div",
                {
                  staticClass: "label",
                  style: "width:" + _vm.item.innerLabelWidth + "px;"
                },
                [
                  _vm._v(
                    _vm._s(_vm.item.collapseTitle) +
                      " " +
                      _vm._s(_vm.index + 1) +
                      "："
                  )
                ]
              ),
              _vm._v(
                _vm._s(_vm.problemItem[_vm.item.problemDescColumnName]) +
                  "\n        "
              ),
              _vm.item.showTypeSwitch
                ? _c("span", [
                    _vm._v(
                      "(" +
                        _vm._s(
                          _vm.getConvertName(
                            _vm.problemItem[_vm.item.problemReplyTypeColumnName]
                          )
                        ) +
                        ")"
                    )
                  ])
                : _vm._e(),
              _vm.problemItem[_vm.item.problemExtColumnName] &&
              _vm.problemItem[_vm.item.problemExtColumnName] !== ""
                ? _c("div", [
                    _c(
                      "div",
                      {
                        staticClass: "label",
                        style: "width:" + _vm.item.innerLabelWidth + "px;"
                      },
                      [_vm._v(_vm._s(_vm.item.problemExtLabel) + "：")]
                    ),
                    _vm._v(
                      _vm._s(_vm.problemItem[_vm.item.problemExtColumnName]) +
                        "\n        "
                    )
                  ])
                : _vm._e()
            ])
          ]
        ),
        _c(
          "div",
          [
            _c(
              "el-form",
              {
                ref: "replyForm",
                staticClass: "asp-smart-form__research",
                attrs: {
                  model: _vm.problemItem,
                  size: "small",
                  "label-width": _vm.item.innerLabelWidth + "px",
                  "label-position": "right"
                }
              },
              [
                _vm.singleAndRadio()
                  ? _c(
                      "el-form-item",
                      {
                        attrs: {
                          label: "",
                          rules: _vm.item.singleSelectRules,
                          prop: _vm.item.problemReplyValue
                        }
                      },
                      [
                        _c(
                          "el-radio-group",
                          {
                            model: {
                              value:
                                _vm.problemItem[_vm.item.problemReplyValue],
                              callback: function($$v) {
                                _vm.$set(
                                  _vm.problemItem,
                                  _vm.item.problemReplyValue,
                                  $$v
                                )
                              },
                              expression: "problemItem[item.problemReplyValue]"
                            }
                          },
                          _vm._l(
                            _vm.problemItem[_vm.item.problemReplyOption],
                            function(singleItem, singleIndex) {
                              return _c(
                                "el-radio",
                                {
                                  key: singleIndex,
                                  attrs: {
                                    label: singleItem,
                                    value: singleItem
                                  }
                                },
                                [_vm._v(_vm._s(singleItem))]
                              )
                            }
                          ),
                          1
                        )
                      ],
                      1
                    )
                  : _vm.singleAndRadioBtn()
                  ? _c(
                      "el-form-item",
                      {
                        attrs: {
                          label: "",
                          rules: _vm.item.singleSelectRules,
                          prop: _vm.item.problemReplyValue
                        }
                      },
                      [
                        _c(
                          "el-radio-group",
                          {
                            model: {
                              value:
                                _vm.problemItem[_vm.item.problemReplyValue],
                              callback: function($$v) {
                                _vm.$set(
                                  _vm.problemItem,
                                  _vm.item.problemReplyValue,
                                  $$v
                                )
                              },
                              expression: "problemItem[item.problemReplyValue]"
                            }
                          },
                          _vm._l(
                            _vm.problemItem[_vm.item.problemReplyOption],
                            function(singleItem, singleIndex) {
                              return _c(
                                "el-radio-button",
                                {
                                  key: singleIndex,
                                  attrs: {
                                    label: singleItem,
                                    value: singleItem
                                  }
                                },
                                [_vm._v(_vm._s(singleItem))]
                              )
                            }
                          ),
                          1
                        )
                      ],
                      1
                    )
                  : _vm.singleAndSelect()
                  ? _c(
                      "el-form-item",
                      {
                        attrs: {
                          label: "",
                          rules: _vm.item.singleSelectRules,
                          prop: _vm.item.problemReplyValue
                        }
                      },
                      [
                        _c(
                          "el-select",
                          {
                            model: {
                              value:
                                _vm.problemItem[_vm.item.problemReplyValue],
                              callback: function($$v) {
                                _vm.$set(
                                  _vm.problemItem,
                                  _vm.item.problemReplyValue,
                                  $$v
                                )
                              },
                              expression: "problemItem[item.problemReplyValue]"
                            }
                          },
                          _vm._l(
                            _vm.problemItem[_vm.item.problemReplyOption],
                            function(singleItem, singleIndex) {
                              return _c("el-option", {
                                key: singleIndex,
                                attrs: { label: singleItem, value: singleItem }
                              })
                            }
                          ),
                          1
                        )
                      ],
                      1
                    )
                  : _vm.multiAndCheckbox()
                  ? _c(
                      "el-form-item",
                      {
                        attrs: {
                          label: "",
                          rules: _vm.item.multiSelectRules,
                          prop: _vm.item.problemReplyValue
                        }
                      },
                      [
                        _c(
                          "el-checkbox-group",
                          {
                            model: {
                              value:
                                _vm.problemItem[_vm.item.problemReplyValue],
                              callback: function($$v) {
                                _vm.$set(
                                  _vm.problemItem,
                                  _vm.item.problemReplyValue,
                                  $$v
                                )
                              },
                              expression: "problemItem[item.problemReplyValue]"
                            }
                          },
                          _vm._l(
                            _vm.problemItem[_vm.item.problemReplyOption],
                            function(multiItem, multiIndex) {
                              return _c(
                                "el-checkbox",
                                {
                                  key: multiIndex,
                                  attrs: { value: multiItem, label: multiItem }
                                },
                                [_vm._v(_vm._s(multiItem))]
                              )
                            }
                          ),
                          1
                        )
                      ],
                      1
                    )
                  : _vm.multiAndCheckboxBtn()
                  ? _c(
                      "el-form-item",
                      {
                        attrs: {
                          label: "",
                          rules: _vm.item.multiSelectRules,
                          prop: _vm.item.problemReplyValue
                        }
                      },
                      [
                        _c(
                          "el-checkbox-group",
                          {
                            model: {
                              value:
                                _vm.problemItem[_vm.item.problemReplyValue],
                              callback: function($$v) {
                                _vm.$set(
                                  _vm.problemItem,
                                  _vm.item.problemReplyValue,
                                  $$v
                                )
                              },
                              expression: "problemItem[item.problemReplyValue]"
                            }
                          },
                          _vm._l(
                            _vm.problemItem[_vm.item.problemReplyOption],
                            function(multiItem, multiIndex) {
                              return _c(
                                "el-checkbox-button",
                                {
                                  key: multiIndex,
                                  attrs: { value: multiItem, label: multiItem }
                                },
                                [_vm._v(_vm._s(multiItem))]
                              )
                            }
                          ),
                          1
                        )
                      ],
                      1
                    )
                  : _vm.multiAndSelect()
                  ? _c(
                      "el-form-item",
                      {
                        attrs: {
                          label: "",
                          rules: _vm.item.multiSelectRules,
                          prop: _vm.item.problemReplyValue
                        }
                      },
                      [
                        _c(
                          "el-select",
                          {
                            attrs: { multiple: "" },
                            model: {
                              value:
                                _vm.problemItem[_vm.item.problemReplyValue],
                              callback: function($$v) {
                                _vm.$set(
                                  _vm.problemItem,
                                  _vm.item.problemReplyValue,
                                  $$v
                                )
                              },
                              expression: "problemItem[item.problemReplyValue]"
                            }
                          },
                          _vm._l(
                            _vm.problemItem[_vm.item.problemReplyOption],
                            function(multiItem, multiIndex) {
                              return _c("el-option", {
                                key: multiIndex,
                                attrs: { label: multiItem, value: multiItem }
                              })
                            }
                          ),
                          1
                        )
                      ],
                      1
                    )
                  : _vm.booleanAndRadio()
                  ? _c(
                      "el-form-item",
                      {
                        attrs: {
                          label: "",
                          rules: _vm.item.booleanSelectRules,
                          prop: _vm.item.problemReplyValue
                        }
                      },
                      [
                        _c(
                          "el-radio-group",
                          {
                            model: {
                              value:
                                _vm.problemItem[_vm.item.problemReplyValue],
                              callback: function($$v) {
                                _vm.$set(
                                  _vm.problemItem,
                                  _vm.item.problemReplyValue,
                                  $$v
                                )
                              },
                              expression: "problemItem[item.problemReplyValue]"
                            }
                          },
                          _vm._l(_vm.yesOrNoList, function(
                            booleanItem,
                            booleanIndex
                          ) {
                            return _c(
                              "el-radio",
                              {
                                key: booleanIndex,
                                attrs: {
                                  label:
                                    booleanItem[_vm.item.booleanOptionValue],
                                  value:
                                    booleanItem[_vm.item.booleanOptionValue]
                                }
                              },
                              [
                                _vm._v(
                                  _vm._s(
                                    booleanItem[_vm.item.booleanOptionLabel]
                                  )
                                )
                              ]
                            )
                          }),
                          1
                        )
                      ],
                      1
                    )
                  : _vm.booleanAndRadioBtn()
                  ? _c(
                      "el-form-item",
                      {
                        attrs: {
                          label: "",
                          rules: _vm.item.booleanSelectRules,
                          prop: _vm.item.problemReplyValue
                        }
                      },
                      [
                        _c(
                          "el-radio-group",
                          {
                            model: {
                              value:
                                _vm.problemItem[_vm.item.problemReplyValue],
                              callback: function($$v) {
                                _vm.$set(
                                  _vm.problemItem,
                                  _vm.item.problemReplyValue,
                                  $$v
                                )
                              },
                              expression: "problemItem[item.problemReplyValue]"
                            }
                          },
                          _vm._l(_vm.yesOrNoList, function(
                            booleanItem,
                            booleanIndex
                          ) {
                            return _c(
                              "el-radio-button",
                              {
                                key: booleanIndex,
                                attrs: {
                                  label:
                                    booleanItem[_vm.item.booleanOptionValue],
                                  value:
                                    booleanItem[_vm.item.booleanOptionValue]
                                }
                              },
                              [
                                _vm._v(
                                  _vm._s(
                                    booleanItem[_vm.item.booleanOptionLabel]
                                  )
                                )
                              ]
                            )
                          }),
                          1
                        )
                      ],
                      1
                    )
                  : _vm.booleanAndSelect()
                  ? _c(
                      "el-form-item",
                      {
                        attrs: {
                          label: "",
                          rules: _vm.item.booleanSelectRules,
                          prop: _vm.item.problemReplyValue
                        }
                      },
                      [
                        _c(
                          "el-select",
                          {
                            model: {
                              value:
                                _vm.problemItem[_vm.item.problemReplyValue],
                              callback: function($$v) {
                                _vm.$set(
                                  _vm.problemItem,
                                  _vm.item.problemReplyValue,
                                  $$v
                                )
                              },
                              expression: "problemItem[item.problemReplyValue]"
                            }
                          },
                          _vm._l(_vm.yesOrNoList, function(
                            booleanItem,
                            booleanIndex
                          ) {
                            return _c("el-option", {
                              key: booleanIndex,
                              attrs: {
                                label: booleanItem[_vm.item.booleanOptionLabel],
                                value: booleanItem[_vm.item.booleanOptionValue]
                              }
                            })
                          }),
                          1
                        )
                      ],
                      1
                    )
                  : _vm.openAndSingleline()
                  ? _c(
                      "el-form-item",
                      {
                        attrs: {
                          prop: _vm.item.problemReplyValue,
                          rules: _vm.item.openSelectRules,
                          label: ""
                        }
                      },
                      [
                        _c("el-input", {
                          attrs: {
                            minlength: _vm.item.openSelectLengthSwitch
                              ? _vm.item.openSelectMinLength
                              : "",
                            maxlength: _vm.item.openSelectLengthSwitch
                              ? _vm.item.openSelectMaxLength
                              : "",
                            "show-word-limit": ""
                          },
                          model: {
                            value: _vm.problemItem[_vm.item.problemReplyValue],
                            callback: function($$v) {
                              _vm.$set(
                                _vm.problemItem,
                                _vm.item.problemReplyValue,
                                $$v
                              )
                            },
                            expression: "problemItem[item.problemReplyValue]"
                          }
                        })
                      ],
                      1
                    )
                  : _vm.openAndSinglenewline()
                  ? _c(
                      "el-form-item",
                      {
                        attrs: {
                          prop: _vm.item.problemReplyValue,
                          rules: _vm.item.openSelectRules,
                          label: ""
                        }
                      },
                      [
                        _c("el-input", {
                          attrs: {
                            minlength: _vm.item.openSelectLengthSwitch
                              ? _vm.item.openSelectMinLength
                              : "",
                            maxlength: _vm.item.openSelectLengthSwitch
                              ? _vm.item.openSelectMaxLength
                              : "",
                            type: "textarea",
                            autosize: "",
                            "show-word-limit": ""
                          },
                          model: {
                            value: _vm.problemItem[_vm.item.problemReplyValue],
                            callback: function($$v) {
                              _vm.$set(
                                _vm.problemItem,
                                _vm.item.problemReplyValue,
                                $$v
                              )
                            },
                            expression: "problemItem[item.problemReplyValue]"
                          }
                        })
                      ],
                      1
                    )
                  : _vm.openAndMultiline()
                  ? _c(
                      "el-form-item",
                      {
                        attrs: {
                          prop: _vm.item.problemReplyValue,
                          rules: _vm.item.openSelectRules,
                          label: ""
                        }
                      },
                      [
                        _c("el-input", {
                          attrs: {
                            minlength: _vm.item.openSelectLengthSwitch
                              ? _vm.item.openSelectMinLength
                              : "",
                            maxlength: _vm.item.openSelectLengthSwitch
                              ? _vm.item.openSelectMaxLength
                              : "",
                            type: "textarea",
                            autosize: { minRows: 2, maxRows: 5 },
                            "show-word-limit": ""
                          },
                          model: {
                            value: _vm.problemItem[_vm.item.problemReplyValue],
                            callback: function($$v) {
                              _vm.$set(
                                _vm.problemItem,
                                _vm.item.problemReplyValue,
                                $$v
                              )
                            },
                            expression: "problemItem[item.problemReplyValue]"
                          }
                        })
                      ],
                      1
                    )
                  : _vm._e()
              ],
              1
            )
          ],
          1
        )
      ])
    ],
    1
  )
}
var mainvue_type_template_id_7957210a_staticRenderFns = []
mainvue_type_template_id_7957210a_render._withStripped = true


// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-reply/src/main.vue?vue&type=template&id=7957210a&

// CONCATENATED MODULE: ./node_modules/_babel-loader@7.1.5@babel-loader/lib!./node_modules/_vue-loader@15.9.6@vue-loader/lib??vue-loader-options!./src/components/pc/advanced/asp-research-reply/src/main.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var mainvue_type_script_lang_js_ = ({
  name: 'asp-research-reply',
  computed: {},
  props: {
    item: {
      type: Object,
      default: () => {}
    },
    model: {
      type: Object,
      default: () => {}
    },
    problemItem: {
      type: Object,
      default: () => {}
    },
    problemReplyList: {
      type: Array,
      default: () => []
    },
    position: {
      type: String,
      default: () => 'left'
    },
    index: {
      type: Number,
      default: () => 0
    },
    optionList: {
      type: Array,
      default: () => []
    },
    yesOrNoList: {
      type: Array,
      default: () => []
    }
  },
  data() {
    return {
      innerActiveNames: []
    };
  },
  created() {
    if (!this.problemItem[this.item.problemReplyValue] && this.problemItem[this.item.problemReplyTypeColumnName] === this.item.multiSelectCode) {
      this.problemItem[this.item.problemReplyValue] = [];
    }
    this.innerActiveNames = this.problemReplyList.map((item, index) => {
      return index;
    });
  },
  methods: {
    getConvertName(code) {
      let convertLabel = '';
      for (let i = 0; i < this.optionList.length; i++) {
        if (this.optionList[i][this.item.typeOptionValue] === code) {
          convertLabel = this.optionList[i][this.item.typeOptionLabel];
        }
      }
      return convertLabel;
    },
    singleAndRadio() {
      return this.problemItem[this.item.problemReplyTypeColumnName] === this.item.singleSelectCode && this.problemItem[this.item.presentTypeColumnName] === 'radio' || this.problemItem[this.item.problemReplyTypeColumnName] === this.item.singleSelectCode && !this.problemItem[this.item.presentTypeColumnName];
    },
    singleAndRadioBtn() {
      return this.problemItem[this.item.problemReplyTypeColumnName] === this.item.singleSelectCode && this.problemItem[this.item.presentTypeColumnName] === 'radiobtn';
    },
    singleAndSelect() {
      return this.problemItem[this.item.problemReplyTypeColumnName] === this.item.singleSelectCode && this.problemItem[this.item.presentTypeColumnName] === 'select';
    },
    multiAndCheckbox() {
      return this.problemItem[this.item.problemReplyTypeColumnName] === this.item.multiSelectCode && this.problemItem[this.item.presentTypeColumnName] === 'checkbox' || this.problemItem[this.item.problemReplyTypeColumnName] === this.item.multiSelectCode && !this.problemItem[this.item.presentTypeColumnName];
    },
    multiAndCheckboxBtn() {
      return this.problemItem[this.item.problemReplyTypeColumnName] === this.item.multiSelectCode && this.problemItem[this.item.presentTypeColumnName] === 'checkboxbtn';
    },
    multiAndSelect() {
      return this.problemItem[this.item.problemReplyTypeColumnName] === this.item.multiSelectCode && this.problemItem[this.item.presentTypeColumnName] === 'select';
    },
    booleanAndRadio() {
      return this.problemItem[this.item.problemReplyTypeColumnName] === this.item.booleanSelectCode && this.problemItem[this.item.presentTypeColumnName] === 'radio' || this.problemItem[this.item.problemReplyTypeColumnName] === this.item.booleanSelectCode && !this.problemItem[this.item.presentTypeColumnName];
    },
    booleanAndRadioBtn() {
      return this.problemItem[this.item.problemReplyTypeColumnName] === this.item.booleanSelectCode && this.problemItem[this.item.presentTypeColumnName] === 'radiobtn';
    },
    booleanAndSelect() {
      return this.problemItem[this.item.problemReplyTypeColumnName] === this.item.booleanSelectCode && this.problemItem[this.item.presentTypeColumnName] === 'select';
    },
    openAndSingleline() {
      return this.problemItem[this.item.problemReplyTypeColumnName] === this.item.openSelectCode && this.problemItem[this.item.presentTypeColumnName] === 'singleline' || this.problemItem[this.item.problemReplyTypeColumnName] === this.item.openSelectCode && !this.problemItem[this.item.presentTypeColumnName];
    },
    openAndSinglenewline() {
      return this.problemItem[this.item.problemReplyTypeColumnName] === this.item.openSelectCode && this.problemItem[this.item.presentTypeColumnName] === 'singlenewline';
    },
    openAndMultiline() {
      return this.problemItem[this.item.problemReplyTypeColumnName] === this.item.openSelectCode && this.problemItem[this.item.presentTypeColumnName] === 'multiline';
    }
  }
});
// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-reply/src/main.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_mainvue_type_script_lang_js_ = (mainvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/_vue-loader@15.9.6@vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-reply/src/main.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_mainvue_type_script_lang_js_,
  mainvue_type_template_id_7957210a_render,
  mainvue_type_template_id_7957210a_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "src/components/pc/advanced/asp-research-reply/src/main.vue"
/* harmony default export */ var main = (component.exports);
// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-reply/index.js


/* istanbul ignore next */
main.install = function (Vue) {
  Vue.component(main.name, main);
};

/* harmony default export */ var asp_research_reply = (main);
// CONCATENATED MODULE: ./node_modules/_babel-loader@7.1.5@babel-loader/lib!./node_modules/_vue-loader@15.9.6@vue-loader/lib??vue-loader-options!./src/components/pc/advanced/asp-research-replylist/src/main.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//


/* harmony default export */ var asp_research_replylist_src_mainvue_type_script_lang_js_ = ({
  name: 'asp-research-replylist',
  components: {
    aspResearchReply: asp_research_reply
  },
  computed: {},
  props: {
    item: {
      type: Object,
      default: () => {}
    },
    model: {
      type: Object,
      default: () => {}
    },
    position: {
      type: String,
      default: () => 'left'
    },
    optionList: {
      type: Array,
      default: () => []
    }
  },
  data() {
    return {
      activeNames: ['1'],
      yesOrNoList: [{
        label: '是',
        value: '1'
      }, {
        label: '否',
        value: '0'
      }]
    };
  },
  created() {},
  methods: {}
});
// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-replylist/src/main.vue?vue&type=script&lang=js&
 /* harmony default export */ var advanced_asp_research_replylist_src_mainvue_type_script_lang_js_ = (asp_research_replylist_src_mainvue_type_script_lang_js_); 
// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-replylist/src/main.vue





/* normalize component */

var main_component = Object(componentNormalizer["a" /* default */])(
  advanced_asp_research_replylist_src_mainvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var main_api; }
main_component.options.__file = "src/components/pc/advanced/asp-research-replylist/src/main.vue"
/* harmony default export */ var src_main = (main_component.exports);
// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-replylist/index.js


/* istanbul ignore next */
src_main.install = function (Vue) {
  Vue.component(src_main.name, src_main);
};

/* harmony default export */ var asp_research_replylist = __webpack_exports__["default"] = (src_main);

/***/ })

/******/ });