module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 10);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () {
        injectStyles.call(
          this,
          (options.functional ? this.parent : this).$root.$options.shadowRoot
        )
      }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functional component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 10:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/_vue-loader@15.9.6@vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/_vue-loader@15.9.6@vue-loader/lib??vue-loader-options!./src/components/pc/advanced/asp-research-problemdetaillist/src/main.vue?vue&type=template&id=6c346d97&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", { staticClass: "asp-smart-form__research padding-row" }, [
    _c(
      "div",
      {
        staticClass: "asp-research-problemdetaillist",
        class: "is_" + _vm.position
      },
      [
        _c(
          "el-collapse",
          {
            model: {
              value: _vm.activeNames,
              callback: function($$v) {
                _vm.activeNames = $$v
              },
              expression: "activeNames"
            }
          },
          [
            _c(
              "el-collapse-item",
              { attrs: { name: "1" } },
              [
                _c("template", { slot: "title" }, [
                  _c(
                    "span",
                    {
                      staticClass: "title",
                      style: {
                        color: "rgb(48,49,51,1)",
                        "font-size": "15px"
                      }
                    },
                    [
                      _c("i", {
                        staticClass: "el-icon-tickets",
                        staticStyle: { "margin-right": "5px" }
                      }),
                      _vm._v(_vm._s(_vm.item.collapseTitle) + "\n          ")
                    ]
                  )
                ]),
                _vm._l(_vm.model[_vm.item.problemListColumnName], function(
                  problemItem,
                  index
                ) {
                  return _c("AspResearchProblemDetail", {
                    key: index,
                    attrs: {
                      index: index,
                      item: _vm.item,
                      problemItem: problemItem,
                      "option-list": _vm.optionList,
                      dataList: _vm.model[_vm.item.problemListColumnName]
                    }
                  })
                })
              ],
              2
            )
          ],
          1
        )
      ],
      1
    )
  ])
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-problemdetaillist/src/main.vue?vue&type=template&id=6c346d97&

// CONCATENATED MODULE: ./node_modules/_vue-loader@15.9.6@vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/_vue-loader@15.9.6@vue-loader/lib??vue-loader-options!./src/components/pc/advanced/asp-research-problemdetail/src/main.vue?vue&type=template&id=5e195b16&
var mainvue_type_template_id_5e195b16_render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { staticClass: "asp-research-problemdetail", class: "is_" + _vm.position },
    [
      _c(
        "el-collapse",
        {
          staticStyle: { "margin-bottom": "10px" },
          model: {
            value: _vm.innerActiveNames,
            callback: function($$v) {
              _vm.innerActiveNames = $$v
            },
            expression: "innerActiveNames"
          }
        },
        [
          _c(
            "el-collapse-item",
            { attrs: { name: _vm.index } },
            [
              _c("template", { slot: "title" }, [
                _c(
                  "span",
                  {
                    staticClass: "title",
                    style: {
                      color: "rgb(48,49,51,1)",
                      "font-size": "15px"
                    }
                  },
                  [
                    _c("i", {
                      staticClass: "el-icon-tickets",
                      staticStyle: { "margin-right": "5px" }
                    }),
                    _vm._v(
                      _vm._s(_vm.item.collapseTitle) +
                        " " +
                        _vm._s(_vm.index + 1) +
                        "\n        "
                    )
                  ]
                )
              ]),
              _c(
                "el-form",
                {
                  ref: "researchForm",
                  staticClass: "asp-smart-form__research",
                  attrs: {
                    model: _vm.problemItem,
                    size: "small",
                    "label-width": _vm.item.innerLabelWidth + "px",
                    "label-position": "right"
                  }
                },
                [
                  _c(
                    "div",
                    {
                      staticClass: "form-item-box form-item-box-basic",
                      staticStyle: { "word-break": "break-all", width: "100%" }
                    },
                    [
                      _c("div", {
                        staticClass: "label-style",
                        style: "width: " + _vm.item.innerLabelWidth + "px;"
                      }),
                      _c(
                        "el-form-item",
                        {
                          attrs: {
                            prop: _vm.item.problemDescColumnName,
                            label: _vm.item.problemDescLabel + "："
                          }
                        },
                        [
                          _c("p", { staticClass: "normalLabel labelStyle" }, [
                            _vm._v(
                              _vm._s(
                                _vm.problemItem[_vm.item.problemDescColumnName]
                              )
                            )
                          ])
                        ]
                      )
                    ],
                    1
                  ),
                  _vm.problemItem[_vm.item.problemExtColumnName] &&
                  _vm.problemItem[_vm.item.problemExtColumnName] !== ""
                    ? _c(
                        "div",
                        {
                          staticClass: "form-item-box form-item-box-basic",
                          staticStyle: {
                            "word-break": "break-all",
                            width: "100%"
                          }
                        },
                        [
                          _c("div", {
                            staticClass: "label-style",
                            style: "width: " + _vm.item.innerLabelWidth + "px;"
                          }),
                          _c(
                            "el-form-item",
                            {
                              attrs: { label: _vm.item.problemExtLabel + "：" }
                            },
                            [
                              _c(
                                "p",
                                { staticClass: "normalLabel labelStyle" },
                                [
                                  _vm._v(
                                    _vm._s(
                                      _vm.problemItem[
                                        _vm.item.problemExtColumnName
                                      ]
                                    )
                                  )
                                ]
                              )
                            ]
                          )
                        ],
                        1
                      )
                    : _vm._e(),
                  _c(
                    "div",
                    {
                      staticClass: "form-item-box form-item-box-basic",
                      staticStyle: { "word-break": "break-all", width: "100%" }
                    },
                    [
                      _c("div", {
                        staticClass: "label-style",
                        style: "width: " + _vm.item.innerLabelWidth + "px;"
                      }),
                      _c(
                        "el-form-item",
                        {
                          attrs: {
                            label: _vm.item.replyTypeLabel + "：",
                            prop: _vm.item.replyTypeColumnName
                          }
                        },
                        [
                          _c("p", { staticClass: "normalLabel labelStyle" }, [
                            _vm._v(
                              _vm._s(
                                _vm.getConvertName(
                                  _vm.problemItem[_vm.item.replyTypeColumnName]
                                )
                              )
                            )
                          ])
                        ]
                      )
                    ],
                    1
                  ),
                  _c(
                    "div",
                    {
                      directives: [
                        {
                          name: "show",
                          rawName: "v-show",
                          value:
                            _vm.problemItem[_vm.item.replyTypeColumnName] ===
                            _vm.item.multiSelectCode,
                          expression:
                            "problemItem[item.replyTypeColumnName] === item.multiSelectCode"
                        }
                      ],
                      staticClass: "form-item-box form-item-box-basic",
                      staticStyle: { "word-break": "break-all", width: "100%" }
                    },
                    [
                      _c("div", {
                        staticClass: "label-style",
                        style: "width: " + _vm.item.innerLabelWidth + "px;"
                      }),
                      _c(
                        "el-form-item",
                        {
                          attrs: {
                            label: _vm.item.multiSelectLabel + "：",
                            prop: _vm.item.multiSelectColumnName
                          }
                        },
                        [
                          _c("p", { staticClass: "normalLabel labelStyle" }, [
                            _vm._v(
                              _vm._s(
                                _vm.problemItem[
                                  _vm.item.multiSelectColumnName
                                ].join(",")
                              )
                            )
                          ])
                        ]
                      )
                    ],
                    1
                  ),
                  _c(
                    "div",
                    {
                      directives: [
                        {
                          name: "show",
                          rawName: "v-show",
                          value:
                            _vm.problemItem[_vm.item.replyTypeColumnName] ===
                            _vm.item.singleSelectCode,
                          expression:
                            "problemItem[item.replyTypeColumnName] === item.singleSelectCode"
                        }
                      ],
                      staticClass: "form-item-box form-item-box-basic",
                      staticStyle: { "word-break": "break-all", width: "100%" }
                    },
                    [
                      _c("div", {
                        staticClass: "label-style",
                        style: "width: " + _vm.item.innerLabelWidth + "px;"
                      }),
                      _c(
                        "el-form-item",
                        {
                          attrs: {
                            label: _vm.item.singleSelectLabel + "：",
                            prop: _vm.item.singleSelectColumnName
                          }
                        },
                        [
                          _c("p", { staticClass: "normalLabel labelStyle" }, [
                            _vm._v(
                              _vm._s(
                                _vm.problemItem[
                                  _vm.item.singleSelectColumnName
                                ].join(",")
                              )
                            )
                          ])
                        ]
                      )
                    ],
                    1
                  )
                ]
              )
            ],
            2
          )
        ],
        1
      )
    ],
    1
  )
}
var mainvue_type_template_id_5e195b16_staticRenderFns = []
mainvue_type_template_id_5e195b16_render._withStripped = true


// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-problemdetail/src/main.vue?vue&type=template&id=5e195b16&

// CONCATENATED MODULE: ./node_modules/_babel-loader@7.1.5@babel-loader/lib!./node_modules/_vue-loader@15.9.6@vue-loader/lib??vue-loader-options!./src/components/pc/advanced/asp-research-problemdetail/src/main.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var mainvue_type_script_lang_js_ = ({
  name: 'asp-research-problemdetail',
  computed: {},
  props: {
    item: {
      type: Object,
      default: () => {}
    },
    position: {
      type: String,
      default: () => 'left'
    },
    problemItem: {
      type: Object,
      default: () => {}
    },
    dataList: {
      type: Array,
      default: () => []
    },
    index: {
      type: Number,
      default: () => 0
    },
    optionList: {
      type: Array,
      default: () => []
    }
  },
  data() {
    return {
      innerActiveNames: []
    };
  },
  watch: {},
  created() {
    this.innerActiveNames = this.dataList.map((item, index) => {
      return index;
    });
  },
  mounted() {},
  methods: {
    getConvertName(code) {
      let convertLabel = '';
      for (let i = 0; i < this.optionList.length; i++) {
        if (this.optionList[i][[this.item.typeOptionValue]] === code) {
          convertLabel = this.optionList[i][[this.item.typeOptionLabel]];
        }
      }
      return convertLabel;
    }
  }
});
// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-problemdetail/src/main.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_mainvue_type_script_lang_js_ = (mainvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/_vue-loader@15.9.6@vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-problemdetail/src/main.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_mainvue_type_script_lang_js_,
  mainvue_type_template_id_5e195b16_render,
  mainvue_type_template_id_5e195b16_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "src/components/pc/advanced/asp-research-problemdetail/src/main.vue"
/* harmony default export */ var main = (component.exports);
// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-problemdetail/index.js


/* istanbul ignore next */
main.install = function (Vue) {
  Vue.component(main.name, main);
};

/* harmony default export */ var asp_research_problemdetail = (main);
// CONCATENATED MODULE: ./node_modules/_babel-loader@7.1.5@babel-loader/lib!./node_modules/_vue-loader@15.9.6@vue-loader/lib??vue-loader-options!./src/components/pc/advanced/asp-research-problemdetaillist/src/main.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//


/* harmony default export */ var asp_research_problemdetaillist_src_mainvue_type_script_lang_js_ = ({
  name: 'asp-research-problemdetaillist',
  components: { AspResearchProblemDetail: asp_research_problemdetail },
  props: {
    item: {
      type: Object,
      default: () => {}
    },
    model: {
      type: Object,
      default: () => {}
    },
    position: {
      type: String,
      default: () => 'left'
    },
    optionList: {
      type: Array,
      default: () => []
    }
  },
  data() {
    return {
      activeNames: ['1']
    };
  },
  watch: {},
  methods: {}
});
// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-problemdetaillist/src/main.vue?vue&type=script&lang=js&
 /* harmony default export */ var advanced_asp_research_problemdetaillist_src_mainvue_type_script_lang_js_ = (asp_research_problemdetaillist_src_mainvue_type_script_lang_js_); 
// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-problemdetaillist/src/main.vue





/* normalize component */

var main_component = Object(componentNormalizer["a" /* default */])(
  advanced_asp_research_problemdetaillist_src_mainvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var main_api; }
main_component.options.__file = "src/components/pc/advanced/asp-research-problemdetaillist/src/main.vue"
/* harmony default export */ var src_main = (main_component.exports);
// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-problemdetaillist/index.js


/* istanbul ignore next */
src_main.install = function (Vue) {
  Vue.component(src_main.name, src_main);
};

/* harmony default export */ var asp_research_problemdetaillist = __webpack_exports__["default"] = (src_main);

/***/ })

/******/ });