module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 12);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent (
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier, /* server only */
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () {
        injectStyles.call(
          this,
          (options.functional ? this.parent : this).$root.$options.shadowRoot
        )
      }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functional component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 12:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/_vue-loader@15.9.6@vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/_vue-loader@15.9.6@vue-loader/lib??vue-loader-options!./src/components/pc/advanced/asp-research-replydetaillist/src/main.vue?vue&type=template&id=fbb4b128&
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c("div", { staticClass: "asp-smart-form__research padding-row" }, [
    _c(
      "div",
      { staticClass: "asp-research-replydetail", class: "is_" + _vm.position },
      [
        _c(
          "el-collapse",
          {
            model: {
              value: _vm.activeNames,
              callback: function($$v) {
                _vm.activeNames = $$v
              },
              expression: "activeNames"
            }
          },
          [
            _c(
              "el-collapse-item",
              { attrs: { name: "1" } },
              [
                _c("template", { slot: "title" }, [
                  _c(
                    "span",
                    {
                      staticClass: "title",
                      style: {
                        color: "rgb(48,49,51,1)",
                        "font-size": "15px"
                      }
                    },
                    [
                      _c("i", {
                        staticClass: "el-icon-tickets",
                        staticStyle: { "margin-right": "5px" }
                      }),
                      _vm._v(_vm._s(_vm.item.collapseTitle) + "\n          ")
                    ]
                  )
                ]),
                _vm._l(_vm.problemReplyList, function(problemItem, index) {
                  return _c("aspResearchReplyDetail", {
                    key: index,
                    attrs: {
                      model: _vm.model,
                      item: _vm.item,
                      index: index,
                      problemItem: problemItem,
                      problemReplyList: _vm.problemReplyList,
                      "option-list": _vm.optionList,
                      yesOrNoList: _vm.yesOrNoList,
                      channelOptionList: _vm.channelOptionList
                    }
                  })
                })
              ],
              2
            )
          ],
          1
        )
      ],
      1
    )
  ])
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-replydetaillist/src/main.vue?vue&type=template&id=fbb4b128&

// CONCATENATED MODULE: ./node_modules/_vue-loader@15.9.6@vue-loader/lib/loaders/templateLoader.js??vue-loader-options!./node_modules/_vue-loader@15.9.6@vue-loader/lib??vue-loader-options!./src/components/pc/advanced/asp-research-replydetail/src/main.vue?vue&type=template&id=f666826c&
var mainvue_type_template_id_f666826c_render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _c(
    "div",
    { staticClass: "asp-icon-detail", class: "is_" + _vm.position },
    [
      _c(
        "el-collapse",
        {
          staticStyle: { "margin-bottom": "10px" },
          model: {
            value: _vm.innerActiveNames,
            callback: function($$v) {
              _vm.innerActiveNames = $$v
            },
            expression: "innerActiveNames"
          }
        },
        [
          _c(
            "el-collapse-item",
            { attrs: { name: _vm.index } },
            [
              _c("template", { slot: "title" }, [
                _c(
                  "span",
                  {
                    staticClass: "title",
                    staticStyle: {
                      color: "'rgb(48,49,51,1)'",
                      "font-size": "'15px'"
                    }
                  },
                  [
                    _c("i", {
                      staticClass: "el-icon-tickets",
                      staticStyle: { "margin-right": "5px" }
                    }),
                    _c("label", [
                      _vm._v(
                        _vm._s(_vm.item.collapseTitle) +
                          " " +
                          _vm._s(_vm.index + 1) +
                          "："
                      )
                    ]),
                    _vm._v(
                      "\n          " +
                        _vm._s(
                          _vm.problemItem[_vm.item.problemDescColumnName]
                        ) +
                        "\n          "
                    ),
                    _vm.item.showTypeSwitch
                      ? _c("span", [
                          _vm._v(
                            "(" +
                              _vm._s(
                                _vm.getConvertName(
                                  _vm.problemItem[
                                    _vm.item.problemReplyTypeColumnName
                                  ]
                                )
                              ) +
                              ")"
                          )
                        ])
                      : _vm._e(),
                    _vm.problemItem[_vm.item.problemExtColumnName] &&
                    _vm.problemItem[_vm.item.problemExtColumnName] !== ""
                      ? _c("div", [
                          _c("label", [
                            _vm._v(_vm._s(_vm.item.problemExtLabel) + "：")
                          ]),
                          _vm._v(
                            "\n            " +
                              _vm._s(
                                _vm.problemItem[_vm.item.problemExtColumnName]
                              ) +
                              "\n          "
                          )
                        ])
                      : _vm._e()
                  ]
                )
              ]),
              _c(
                "el-table",
                {
                  staticClass: "asp-table",
                  attrs: { data: _vm.dataList, stripe: "", border: "" }
                },
                _vm._l(_vm.problemItem.columnList, function(column, index) {
                  return _c("el-table-column", {
                    key: index,
                    attrs: {
                      prop: column.columnName,
                      label: column.label,
                      align: _vm.position
                    },
                    scopedSlots: _vm._u(
                      [
                        {
                          key: "default",
                          fn: function(scoped) {
                            return [
                              _vm.isShow(index, scoped.row[column.columnName])
                                ? _c("i", {
                                    staticClass: "padding-left-10 el-icon-check"
                                  })
                                : scoped.row[column.columnName]
                                ? _c("span", [
                                    _vm._v(
                                      _vm._s(
                                        _vm.getConvertContentName(
                                          scoped.row[column.columnName]
                                        )
                                      )
                                    )
                                  ])
                                : _vm._e()
                            ]
                          }
                        }
                      ],
                      null,
                      true
                    )
                  })
                }),
                1
              )
            ],
            2
          )
        ],
        1
      )
    ],
    1
  )
}
var mainvue_type_template_id_f666826c_staticRenderFns = []
mainvue_type_template_id_f666826c_render._withStripped = true


// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-replydetail/src/main.vue?vue&type=template&id=f666826c&

// CONCATENATED MODULE: ./node_modules/_babel-loader@7.1.5@babel-loader/lib!./node_modules/_vue-loader@15.9.6@vue-loader/lib??vue-loader-options!./src/components/pc/advanced/asp-research-replydetail/src/main.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var mainvue_type_script_lang_js_ = ({
  name: 'asp-icon-detail',
  computed: {},
  props: {
    item: {
      type: Object,
      default: () => {}
    },
    model: {
      type: Object,
      default: () => {}
    },
    problemItem: {
      type: Object,
      default: () => {}
    },
    problemReplyList: {
      type: Array,
      default: () => []
    },
    position: {
      type: String,
      default: () => 'left'
    },
    index: {
      type: Number,
      default: () => 0
    },
    optionList: {
      type: Array,
      default: () => []
    },
    yesOrNoList: {
      type: Array,
      default: () => []
    },
    channelOptionList: {
      type: Array,
      default: () => []
    }
  },
  data() {
    return {
      innerActiveNames: [],
      dataList: []
    };
  },
  created() {
    this.innerActiveNames = this.problemReplyList.map((item, index) => {
      return index;
    });
    if (this.problemItem[this.item.problemReplyTypeColumnName] === this.item.singleSelectCode && this.item.statisticsByChannelSwitch || this.problemItem[this.item.problemReplyTypeColumnName] === this.item.booleanSelectCode) {
      for (let d = 0; d < this.problemItem.dataList.length; d++) {
        if (this.problemItem.dataList[d].content) {
          this.dataList.push(this.problemItem.dataList[d]);
        }
      }
    } else {
      this.dataList = this.problemItem.dataList;
    }
  },
  mounted() {},
  methods: {
    getConvertName(code) {
      let convertLabel = code;
      for (let i = 0; i < this.optionList.length; i++) {
        if (this.optionList[i][this.item.typeOptionValue] === code) {
          convertLabel = this.optionList[i][this.item.typeOptionLabel];
        }
      }
      return convertLabel;
    },
    getConvertContentName(code) {
      let convertLabel = code;
      for (let i = 0; i < this.yesOrNoList.length; i++) {
        if (this.yesOrNoList[i][this.item.booleanOptionValue] === code) {
          convertLabel = this.yesOrNoList[i][this.item.booleanOptionLabel];
        }
      }
      return convertLabel;
    },
    isShow(index, value) {
      return index !== 0 && value && (this.item.singleSelectCode === this.problemItem[this.item.problemReplyTypeColumnName] && this.item.singleSelectByChannelSwitch || this.item.multiSelectCode === this.problemItem[this.item.problemReplyTypeColumnName]);
    }
  }
});
// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-replydetail/src/main.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_mainvue_type_script_lang_js_ = (mainvue_type_script_lang_js_); 
// EXTERNAL MODULE: ./node_modules/_vue-loader@15.9.6@vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-replydetail/src/main.vue





/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_mainvue_type_script_lang_js_,
  mainvue_type_template_id_f666826c_render,
  mainvue_type_template_id_f666826c_staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var api; }
component.options.__file = "src/components/pc/advanced/asp-research-replydetail/src/main.vue"
/* harmony default export */ var main = (component.exports);
// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-replydetail/index.js


/* istanbul ignore next */
main.install = function (Vue) {
  Vue.component(main.name, main);
};

/* harmony default export */ var asp_research_replydetail = (main);
// CONCATENATED MODULE: ./node_modules/_babel-loader@7.1.5@babel-loader/lib!./node_modules/_vue-loader@15.9.6@vue-loader/lib??vue-loader-options!./src/components/pc/advanced/asp-research-replydetaillist/src/main.vue?vue&type=script&lang=js&
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//


/* harmony default export */ var asp_research_replydetaillist_src_mainvue_type_script_lang_js_ = ({
  name: 'asp-research-replydetail',
  components: {
    aspResearchReplyDetail: asp_research_replydetail
  },
  computed: {},
  props: {
    item: {
      type: Object,
      default: () => {}
    },
    model: {
      type: Object,
      default: () => {}
    },
    position: {
      type: String,
      default: () => 'left'
    },
    optionList: {
      type: Array,
      default: () => []
    },
    channelOptionList: {
      type: Array,
      default: () => []
    }
  },
  data() {
    return {
      activeNames: ['1'],
      problemReplyList: [],
      yesOrNoList: [{
        value: '1',
        label: '是'
      }, {
        value: '0',
        label: '否'
      }]
    };
  },
  created() {
    this.convertData();
  },
  mounted() {},
  methods: {
    convertData() {
      const _this = this;
      const tableList = _this.model[_this.item.problemListColumnName];
      for (let i = 0; i < tableList.length; i++) {
        const type = tableList[i][_this.item.problemReplyTypeColumnName];
        const hasIndex = _this.problemReplyList.findIndex(fItem => fItem[_this.item.problemId] === tableList[i][_this.item.problemId]);
        // 新的数据组里还不存在当前ID时，添加一个当前ID的对象
        if (_this.problemReplyList.length === 0 || hasIndex === -1) {
          if (_this.item.statisticsByChannelSwitch) {
            // 按渠道统计开关打开时
            _this.pushNewObj(tableList, _this, i);
          }
        } else {
          // 当前ID在数据组里已存在则只更新已存在对象的内部数据
          const hasDataObj = {};
          if (type === _this.item.multiSelectCode) {
            // 多选
            hasDataObj[_this.item.channelColumnName] = this.getChannelName(tableList[i][_this.item.channelColumnName]);
            for (let h = 0; h < tableList[i][_this.item.problemReplyValue].length; h++) {
              const filterItemList = _this.problemReplyList[hasIndex].columnList.filter(fItem => {
                return fItem.label === tableList[i][_this.item.problemReplyValue][h];
              });
              hasDataObj[filterItemList[0].columnName] = tableList[i][_this.item.problemReplyValue][h];
            }
          }
          if (type === _this.item.singleSelectCode && _this.item.singleSelectByChannelSwitch) {
            // 单选（以渠道为维度）
            hasDataObj[_this.item.channelColumnName] = this.getChannelName(tableList[i][_this.item.channelColumnName]);
            const filterItemList = _this.problemReplyList[hasIndex].columnList.filter(fItem => {
              return fItem.label === tableList[i][_this.item.problemReplyValue];
            });
            hasDataObj[filterItemList[0].columnName] = tableList[i][_this.item.problemReplyValue];
          }
          if (type === _this.item.singleSelectCode && !_this.item.singleSelectByChannelSwitch || type === _this.item.booleanSelectCode) {
            // 单选（不以渠道为维度）、布尔值
            const hasContentIndex = _this.problemReplyList[hasIndex].dataList.findIndex(cItem => cItem.content === tableList[i][_this.item.problemReplyValue]);
            if (_this.problemReplyList[hasIndex].dataList[hasContentIndex][_this.item.channelColumnName] !== '') {
              _this.problemReplyList[hasIndex].dataList[hasContentIndex][_this.item.channelColumnName] = _this.problemReplyList[hasIndex].dataList[hasContentIndex][_this.item.channelColumnName] + _this.item.channelSeparator + this.getChannelName(tableList[i][_this.item.channelColumnName]);
            } else {
              _this.problemReplyList[hasIndex].dataList[hasContentIndex][_this.item.channelColumnName] = this.getChannelName(tableList[i][_this.item.channelColumnName]);
            }
          }
          if (type === _this.item.openSelectCode) {
            // 开放式
            hasDataObj[_this.item.channelColumnName] = this.getChannelName(tableList[i][_this.item.channelColumnName]);
            hasDataObj.content = tableList[i][_this.item.problemReplyValue];
          }
          _this.problemReplyList[hasIndex].dataList.push(hasDataObj);
        }
      }
    },
    pushNewObj(tableList, _this, i) {
      const obj = {
        dataList: [], // 列表数据List
        columnList: [] // 表头列名List
      };
      obj[_this.item.problemId] = tableList[i][_this.item.problemId]; // 问题ID
      obj[_this.item.problemDescColumnName] = tableList[i][_this.item.problemDescColumnName]; // 问题描述
      obj[_this.item.problemReplyTypeColumnName] = tableList[i][_this.item.problemReplyTypeColumnName]; // 回复方式
      obj.columnList.push({
        columnName: _this.item.channelColumnName,
        label: _this.item.channelLabel
      });
      const dataObj = {};
      const type = tableList[i][_this.item.problemReplyTypeColumnName];
      if (type === _this.item.multiSelectCode) {
        // 多选
        dataObj[_this.item.channelColumnName] = this.getChannelName(tableList[i][_this.item.channelColumnName]);
        // 循环所有选项放入表头列表List
        for (let k = 0; k < tableList[i][_this.item.problemReplyOption].length; k++) {
          obj.columnList.push({
            columnName: 'enum' + k,
            label: tableList[i][_this.item.problemReplyOption][k]
          });
        }
        for (let n = 0; n < tableList[i][_this.item.problemReplyValue].length; n++) {
          const filterItemList = obj.columnList.filter(fItem => {
            return fItem.label === tableList[i][_this.item.problemReplyValue][n];
          });
          dataObj[filterItemList[0].columnName] = tableList[i][_this.item.problemReplyValue][n];
        }
        obj.dataList.push(dataObj);
      }
      if (type === _this.item.singleSelectCode && _this.item.singleSelectByChannelSwitch) {
        // 单选（以渠道为维度）
        dataObj[_this.item.channelColumnName] = this.getChannelName(tableList[i][_this.item.channelColumnName]);
        // 循环所有选项放入表头列表List
        for (let k = 0; k < tableList[i][_this.item.problemReplyOption].length; k++) {
          obj.columnList.push({
            columnName: 'enum' + k,
            label: tableList[i][_this.item.problemReplyOption][k]
          });
        }
        const filterItemList = obj.columnList.filter(fItem => {
          return fItem.label === tableList[i][_this.item.problemReplyValue];
        });
        dataObj[filterItemList[0].columnName] = tableList[i][_this.item.problemReplyValue];
        obj.dataList.push(dataObj);
      }
      if (type === _this.item.singleSelectCode && !_this.item.singleSelectByChannelSwitch || type === _this.item.booleanSelectCode) {
        // 单选（不以渠道为维度）、布尔值
        const label = type === _this.item.singleSelectCode ? _this.item.singleColumnLabel : _this.item.booleanColumnLabel;
        obj.columnList.unshift({
          columnName: 'content',
          label: label
        });
        if (type === _this.item.singleSelectCode) {
          for (let s = 0; s < tableList[i][_this.item.problemReplyOption].length; s++) {
            const singleObj = {};
            singleObj.content = tableList[i][_this.item.problemReplyOption][s];
            singleObj[_this.item.channelColumnName] = tableList[i][_this.item.problemReplyOption][s] === tableList[i][_this.item.problemReplyValue] ? this.getChannelName(tableList[i][_this.item.channelColumnName]) : '';
            obj.dataList.push(singleObj);
          }
        }
        if (type === _this.item.booleanSelectCode) {
          for (let b = 0; b < _this.yesOrNoList.length; b++) {
            const booleanObj = {};
            booleanObj.content = _this.yesOrNoList[b].value;
            booleanObj[_this.item.channelColumnName] = _this.yesOrNoList[b].value === tableList[i][_this.item.problemReplyValue] ? this.getChannelName(tableList[i][_this.item.channelColumnName]) : '';
            obj.dataList.push(booleanObj);
          }
        }
      }
      if (type === _this.item.openSelectCode) {
        // 开放式
        dataObj[_this.item.channelColumnName] = this.getChannelName(tableList[i][_this.item.channelColumnName]);
        obj.columnList.push({
          columnName: 'content',
          label: _this.item.openColumnLabel
        });
        dataObj.content = tableList[i][_this.item.problemReplyValue];
        obj.dataList.push(dataObj);
      }
      _this.problemReplyList.push(obj);
    },
    getChannelName(code) {
      let convertLabel = code;
      for (let i = 0; i < this.channelOptionList.length; i++) {
        if (this.channelOptionList[i][this.item.provinceOptionValue] === code) {
          convertLabel = this.channelOptionList[i][this.item.provinceOptionLabel];
        }
      }
      return convertLabel;
    }
  }
});
// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-replydetaillist/src/main.vue?vue&type=script&lang=js&
 /* harmony default export */ var advanced_asp_research_replydetaillist_src_mainvue_type_script_lang_js_ = (asp_research_replydetaillist_src_mainvue_type_script_lang_js_); 
// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-replydetaillist/src/main.vue





/* normalize component */

var main_component = Object(componentNormalizer["a" /* default */])(
  advanced_asp_research_replydetaillist_src_mainvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  null,
  null
  
)

/* hot reload */
if (false) { var main_api; }
main_component.options.__file = "src/components/pc/advanced/asp-research-replydetaillist/src/main.vue"
/* harmony default export */ var src_main = (main_component.exports);
// CONCATENATED MODULE: ./src/components/pc/advanced/asp-research-replydetaillist/index.js


/* istanbul ignore next */
src_main.install = function (Vue) {
  Vue.component(src_main.name, src_main);
};

/* harmony default export */ var asp_research_replydetaillist = __webpack_exports__["default"] = (src_main);

/***/ })

/******/ });